#! /usr/bin/env ruby
# encoding : UTF-8 
#
# gsf-main.rb - Génération d'un site web de formation
#
# Edouard.Thiel@lif.univ-mrs.fr - 10/10/2011
#
# This program is free software under the terms of the
# GNU Lesser General Public License (LGPL) version 2.1.


require './gsf-page-html'
require './gsf-doc-xml'
require './gsf-base-docs'
require './gsf-parcours'
require './gsf-categories'
require './gsf-pages-site'
require './gsf-pages-ues'


#---------------------------------- M A I N -----------------------------------

# Décodage arguments de la ligne de commande
#

flag_ues = false
flag_pages = false
tout_ok = true

ARGV.each do |arg|
  case arg
    when '-ues'   then flag_ues = true
    when '-pages' then flag_pages = true
    when '-all'   then flag_ues = flag_pages = true
    else tout_ok = false
         $stderr.puts "** Erreur: argument '#{arg}' inconnu"
         break
  end
end

if ARGV.length == 0 or !tout_ok
  puts "USAGE : #{$0} -ues|-pages|-all"
  exit 1
end


# Lecture des fichiers XML
#

base = BaseDocs.new
base.x_par.lire_xml('liste-parcours.xml')
base.x_sem.lire_xml('liste-semestres.xml')
base.x_ues.lire_xml('liste-ues.xml')
base.x_pages.lire_xml('liste-pages.xml')
base.x_div.lire_xml('liste-divers.xml')
base.x_cat.lire_xml('liste-categories.xml')
base.x_ens.lire_xml('liste-enseignants.xml')
base.x_resp.lire_xml('liste-responsables.xml')


# Production des pages
#

if flag_ues
  pu = PagesUEs.new(base)
  pu.generer_ues
end

if flag_pages
  ps = PagesSite.new(base)
  ps.generer_site
end


# Fin
#

puts "Fin du programme avec succès."
exit 0



