# encoding : UTF-8 
#
# gsf-pied.rb - Génération des pieds de page
#
# Edouard.Thiel@lif.univ-mrs.fr - 15/11/2011
#
# This program is free software under the terms of the
# GNU Lesser General Public License (LGPL) version 2.1.


require './gsf-doc-xml'
require './gsf-base-docs'

class Pied

  # Initialisation
  #
  def initialize
  end


  # Méthodes de classe : commencent par self

  # Ecrit un pied de page dans le fichier f
  #
  def self.gen_html_pied(f, elt_sauv)

    return if elt_sauv == nil

    chemin  = DocXml.get_text(elt_sauv, 'chemin')
    tarball = DocXml.get_text(elt_sauv, 'tarball')

    f.print <<-FINTEXTE

<div id="pied-page">
Page en
<a href="http://validator.w3.org/check?uri=referer">XHTML 1.0 strict</a> et
<a href="http://jigsaw.w3.org/css-validator/check/referer?profile=css3">CSS 3.0</a> &nbsp;-&nbsp;
Générée le #{Time.now.strftime("%d %b %Y")} par 
<a href="#{chemin}/#{tarball}">#{tarball}</a>
</div> <!-- pied-page -->

<!-- Le logiciel original de génération du site peut être retrouvé ici :
     http://pageperso.lif.univ-mrs.fr/~edouard.thiel/gsf-lic-info-1.4.tgz
-->

    FINTEXTE
  end


end  # Fin classe

